cluster_name = 'dcos1'

name "#{cluster_name}-boot"
description "#{cluster_name} cluster bootstrap node"

run_list(
  'role[docker4dcos]',
  "role[#{cluster_name}]",
  'recipe[dcos-grid::bootstrap]',
)

#env_run_lists

default_attributes(
)

override_attributes(
  'docker-grid' => {
    'engine' => {
      # deactivates it for bootstrap setup
      'userns-remap' => '',
    },
  },
)
